<div
  data-transition={{if @transition 'yes' 'no'}}
  id={{@id}}
  class={{this.state}}
  {{on 'animationend' this.handleAnimationEnd}}
  {{on 'animationstart' this.handleAnimationStart}}
  {{did-update this.unlockAnimation @transition}}
  {{did-insert this.setup}}
  ...attributes
>
  {{yield}}
</div>

{{!-- template-lint-disable no-forbidden-elements --}}
<style>
  {{this.divStyle}}

  {{this.steps}}
</style>